<script lang="ts">
  const onClick = (id: number) => {
    alert('Island' + id);
  };
</script>

<div class="my-container">
  <!-- <button on:click={onClick.bind(null, 1)}>
    <img
      src="$lib/images/islands/i0.png"
      alt="..." /></button>
  <button on:click={onClick.bind(null, 2)}>
    <img
      src="$lib/images/islands/i1.png"
      alt="..." /></button>
  <button on:click={onClick.bind(null, 3)}>
    <img
      src="$lib/images/islands/i2.png"
      alt="..." /></button>
  <button on:click={onClick.bind(null, 4)}>
    <img
      src="$lib/images/islands/i3.png"
      alt="..." /></button>
  <button on:click={onClick.bind(null, 5)}>
    <img
      src="$lib/images/islands/i4.png"
      alt="..." /></button> -->
</div>

<style lang="postcss">
  .my-container {
    display: flex;
    max-width: 400px;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
    justify-items: center;
  }

  button {
    all: unset;
    margin: 10px;

    & img {
      width: 60px;
    }
  }
</style>
